> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List recipes

> List all expression recipes



## OpenAPI

````yaml https://api.getcargo.io/openapi.json get /expression/recipes/list
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /expression/recipes/list:
    get:
      tags:
        - Expression - Recipes
      summary: List recipes
      description: List all expression recipes
      parameters:
        - in: query
          name: uiTypes
          schema:
            title: UI types
            description: UI types to include.
            type: array
            items:
              type: string
              enum:
                - ai
                - js
          description: UI types to include.
        - in: query
          name: tab
          schema:
            title: Tab
            description: Recipe tab filter.
            type: string
            enum:
              - all
              - user
              - workspace
              - favorites
          description: Recipe tab filter.
        - in: query
          name: categories
          schema:
            title: Categories
            description: Recipe categories to include.
            type: array
            items:
              type: string
              enum:
                - other
                - classification
                - cleaning
                - marketing
                - sales
                - event
                - copywriting
          description: Recipe categories to include.
        - in: query
          name: name
          schema:
            title: Name
            description: Filter recipes by name.
            type: string
          description: Filter recipes by name.
        - in: query
          name: limit
          schema:
            title: Limit
            description: Maximum number of recipes to return.
            type: string
          description: Maximum number of recipes to return.
        - in: query
          name: offset
          schema:
            title: Offset
            description: Number of recipes to skip.
            type: string
          description: Number of recipes to skip.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  recipes:
                    type: array
                    items:
                      type: object
                      properties:
                        uuid:
                          type: string
                        shortId:
                          type: string
                        version:
                          type: number
                        workspaceUuid:
                          anyOf:
                            - type: string
                            - type: 'null'
                        name:
                          type: string
                        description:
                          type: string
                        category:
                          type: string
                          enum:
                            - other
                            - classification
                            - cleaning
                            - marketing
                            - sales
                            - event
                            - copywriting
                        isPublic:
                          type: boolean
                        isBlacklisted:
                          type: boolean
                        archivedAt:
                          anyOf:
                            - type: string
                            - type: 'null'
                        placeholders:
                          type: array
                          items:
                            allOf:
                              - type: object
                                properties:
                                  slug:
                                    type: string
                                  name:
                                    type: string
                                  description:
                                    type: string
                                required:
                                  - slug
                                  - name
                                additionalProperties: false
                              - anyOf:
                                  - type: object
                                    properties:
                                      kind:
                                        type: string
                                        enum:
                                          - string
                                          - number
                                          - boolean
                                    required:
                                      - kind
                                    additionalProperties: false
                                  - type: object
                                    properties:
                                      kind:
                                        type: string
                                        enum:
                                          - enum
                                      enum:
                                        type: array
                                        items:
                                          type: string
                                    required:
                                      - kind
                                      - enum
                                    additionalProperties: false
                                  - type: object
                                    properties:
                                      kind:
                                        type: string
                                        enum:
                                          - array
                                      items:
                                        type: array
                                        items:
                                          allOf:
                                            - type: object
                                              properties:
                                                slug:
                                                  type: string
                                                name:
                                                  type: string
                                                description:
                                                  type: string
                                              required:
                                                - slug
                                                - name
                                              additionalProperties: false
                                            - anyOf:
                                                - type: object
                                                  properties:
                                                    kind:
                                                      type: string
                                                      enum:
                                                        - string
                                                        - number
                                                        - boolean
                                                  required:
                                                    - kind
                                                  additionalProperties: false
                                                - type: object
                                                  properties:
                                                    kind:
                                                      type: string
                                                      enum:
                                                        - enum
                                                    enum:
                                                      type: array
                                                      items:
                                                        type: string
                                                  required:
                                                    - kind
                                                    - enum
                                                  additionalProperties: false
                                                - type: object
                                                  properties:
                                                    kind:
                                                      type: string
                                                      enum:
                                                        - array
                                                    items:
                                                      type: array
                                                      items:
                                                        allOf:
                                                          - type: object
                                                            properties:
                                                              slug:
                                                                type: string
                                                              name:
                                                                type: string
                                                              description:
                                                                type: string
                                                            required:
                                                              - slug
                                                              - name
                                                            additionalProperties: false
                                                          - anyOf:
                                                              - type: object
                                                                properties:
                                                                  kind:
                                                                    type: string
                                                                    enum:
                                                                      - string
                                                                      - number
                                                                      - boolean
                                                                required:
                                                                  - kind
                                                                additionalProperties: false
                                                              - type: object
                                                                properties:
                                                                  kind:
                                                                    type: string
                                                                    enum:
                                                                      - enum
                                                                  enum:
                                                                    type: array
                                                                    items:
                                                                      type: {}
                                                                required:
                                                                  - kind
                                                                  - enum
                                                                additionalProperties: false
                                                  required:
                                                    - kind
                                                    - items
                                                  additionalProperties: false
                                    required:
                                      - kind
                                      - items
                                    additionalProperties: false
                        expression:
                          type: string
                        instructTo:
                          type: string
                          enum:
                            - ai
                            - none
                        kind:
                          type: string
                          enum:
                            - jsExpression
                            - templateExpression
                        userUuid:
                          type: string
                        userFirstName:
                          anyOf:
                            - type: string
                            - type: 'null'
                        userLastName:
                          anyOf:
                            - type: string
                            - type: 'null'
                        userPicture:
                          anyOf:
                            - type: string
                            - type: 'null'
                        isFavorite:
                          type: boolean
                      required:
                        - uuid
                        - shortId
                        - version
                        - workspaceUuid
                        - name
                        - description
                        - category
                        - isPublic
                        - isBlacklisted
                        - archivedAt
                        - placeholders
                        - expression
                        - instructTo
                        - kind
                        - userUuid
                        - userFirstName
                        - userLastName
                        - userPicture
                        - isFavorite
                      additionalProperties: false
                    title: Recipes
                    description: List of recipes.
                required:
                  - recipes
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````